## org.apache.fop.dom.svg
Class SVGDocumentImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.NodeImpl
            |
            +--org.apache.fop.dom.ElementImpl
                  |
                  +--org.apache.fop.dom.svg.SVGDocumentImpl

public class SVGDocumentImpl
extends ElementImpl
implements org.w3c.dom.svg.SVGDocument

Field Summary
`static java.lang.String` `namespaceURI`

Fields inherited from class org.apache.fop.dom.NodeImpl
`childs, ownerDoc`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SVGDocumentImpl()`

Method Summary
`org.w3c.dom.Attr` `createAttribute(java.lang.String str)`
`org.w3c.dom.Attr` `createAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName)`
`org.w3c.dom.CDATASection` `createCDATASection(java.lang.String str)`
`org.w3c.dom.Comment` `createComment(java.lang.String str)`
`org.w3c.dom.DocumentFragment` `createDocumentFragment()`
`org.w3c.dom.Element` `createElement(java.lang.String str)`
`org.w3c.dom.Element` `createElementNS(java.lang.String namespaceURI, java.lang.String qualifiedName)`
`org.w3c.dom.EntityReference` `createEntityReference(java.lang.String str)`
`org.w3c.dom.events.Event` `createEvent(java.lang.String eventType)`
`org.w3c.dom.ProcessingInstruction` `createProcessingInstruction(java.lang.String s1, java.lang.String s2)`
`org.w3c.dom.Text` `createTextNode(java.lang.String str)`
`protected org.w3c.dom.Element` `findChild(org.w3c.dom.Node ele, java.lang.String id)`
`org.w3c.dom.DocumentType` `getDoctype()`
`org.w3c.dom.Element` `getDocumentElement()`
`java.lang.String` `getDomain()`
`org.w3c.dom.Element` `getElementById(java.lang.String elementId)`
`org.w3c.dom.DOMImplementation` `getImplementation()`
`java.lang.String` `getNamespaceURI()`
`java.lang.String` `getReferrer()`
`org.w3c.dom.svg.SVGSVGElement` `getRootElement()`
`java.lang.String` `getTitle()`
`java.lang.String` `getURL()`
`org.w3c.dom.Node` `importNode(org.w3c.dom.Node importedNode, boolean deep)`
`void` `setTitle(java.lang.String title)`

Methods inherited from class org.apache.fop.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, hasAttribute, hasAttributeNS, hasAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.apache.fop.dom.NodeImpl
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTagName, hasChildNodes, insertBefore, isSupported, normalize, removeChild, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### namespaceURI

    public static final java.lang.String namespaceURI

Constructor Detail

### SVGDocumentImpl

    public SVGDocumentImpl()

Method Detail

### getTitle

    public java.lang.String getTitle()

  Specified by:
    getTitle in interface org.w3c.dom.svg.SVGDocument

### setTitle

    public void setTitle(java.lang.String title)

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Overrides:
    getNamespaceURI in class NodeImpl

### getReferrer

    public java.lang.String getReferrer()

  Specified by:
    getReferrer in interface org.w3c.dom.svg.SVGDocument

### getDomain

    public java.lang.String getDomain()

  Specified by:
    getDomain in interface org.w3c.dom.svg.SVGDocument

### getURL

    public java.lang.String getURL()

  Specified by:
    getURL in interface org.w3c.dom.svg.SVGDocument

### getRootElement

    public org.w3c.dom.svg.SVGSVGElement getRootElement()

  Specified by:
    getRootElement in interface org.w3c.dom.svg.SVGDocument

### getElementById

    public org.w3c.dom.Element getElementById(java.lang.String elementId)

### findChild

    protected org.w3c.dom.Element findChild(org.w3c.dom.Node ele,
                                            java.lang.String id)

### createEvent

    public org.w3c.dom.events.Event createEvent(java.lang.String eventType)
                                         throws org.w3c.dom.DOMException

### getImplementation

    public org.w3c.dom.DOMImplementation getImplementation()

### createEntityReference

    public org.w3c.dom.EntityReference createEntityReference(java.lang.String str)

### createDocumentFragment

    public org.w3c.dom.DocumentFragment createDocumentFragment()

### createTextNode

    public org.w3c.dom.Text createTextNode(java.lang.String str)

### createElement

    public org.w3c.dom.Element createElement(java.lang.String str)

### createElementNS

    public org.w3c.dom.Element createElementNS(java.lang.String namespaceURI,
                                               java.lang.String qualifiedName)

### createProcessingInstruction

    public org.w3c.dom.ProcessingInstruction createProcessingInstruction(java.lang.String s1,
                                                                         java.lang.String s2)

### getDoctype

    public org.w3c.dom.DocumentType getDoctype()

### createCDATASection

    public org.w3c.dom.CDATASection createCDATASection(java.lang.String str)

### createComment

    public org.w3c.dom.Comment createComment(java.lang.String str)

### createAttribute

    public org.w3c.dom.Attr createAttribute(java.lang.String str)

### createAttributeNS

    public org.w3c.dom.Attr createAttributeNS(java.lang.String namespaceURI,
                                              java.lang.String qualifiedName)
                                       throws org.w3c.dom.DOMException

### getDocumentElement

    public org.w3c.dom.Element getDocumentElement()

### importNode

    public org.w3c.dom.Node importNode(org.w3c.dom.Node importedNode,
                                       boolean deep)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.